package repositories

import (
	"context"

	"borodyadka.dev/borodyadka/minireader/internal/minireader/dto"
)

type UserRepository struct {
}

func NewUserRepository() *UserRepository {
	return &UserRepository{}
}

func (r *UserRepository) EnsureUser(ctx context.Context, user *dto.User) error {
	_, err := ConnFromContext(ctx).Exec(ctx, `INSERT INTO "users" ("id") VALUES ($1) ON CONFLICT DO NOTHING`, user.ID)
	return err
}
