package http

import (
	"borodyadka.dev/borodyadka/minireader/internal/minireader/dto"
)

type User = dto.User

type Feed = dto.Feed
type CreateFeed = dto.CreateFeed
type UpdateFeed = dto.UpdateFeed

type Item = dto.Item

type Meta struct {
	Total  int    `json:"total"`
	Cursor string `json:"cursor,omitempty"`
}

type Result[T any] struct {
	Data T `json:"data"`
}

type Results[T any] struct {
	Data []T  `json:"data"`
	Meta Meta `json:"meta"`
}
